{
  name: "Adrenaline Orb",
  spritenum: 660,
  fling: {
  	basePower: 30,
  },
  onAfterBoost(boost, target, source, effect) {
  	/* Adrenaline Orb activates if Intimidate is blocked by an ability like Hyper Cutter, */
  	/* which deletes boost.atk, */
  	/* but not if the holder's attack is already at -6 (or +6 if it has Contrary), */
  	/* which sets boost.atk to 0 */
  	if (target.boosts['spe'] === 6 || boost.atk === 0) {
  		return;
  	}
  	if (effect.name === 'Intimidate') {
  		target.useItem();
  	}
  },
  boosts: {
  	spe: 1,
  },
  num: 846,
  gen: 7,
}